ตอนนี้ Joomla ล่าสุด 3.7 ได้ออกมาเรียบร้อยแล้ว สำหรับใครที่ใช้รุ่นก่อนหน้าเช่น 2.5 หรือรุ่น 3.x ซึ่งล่าสุดจะเป็น 3.6.5 ก็สามา รถอัพเกรดได้ทันที วิธีง่ายๆ ก็คือก็อปปี้ไปทับโฟลเดอร์และไฟล์เก่าๆ ได้เลย เพียงแต่ให้สำรองไฟล์ฐานข้อมูล MySQL ไว้ก่อน และมีเรื่องสำคัญอีกหลายเรื่องที่ต้องรู้ก่อนจะทำการอัพเดท 

 

ทุกคร้้งที่ Joomla มีการอัพเดท มันจะมาพร้อมกับปัญหาเสมอไม่เรื่องใด ก็เรื่องหนึ่ง ซึ่งเว็บไซต์ Siamebook ใช้ Joomla มาตั้งแต่รุ่น 1.5 แล้วอัพเกรดมาเรื่อยๆ ตอนนี้ระบบภายในเละๆ บอกไม่ถูก แม้จะปรับเป็นรุ่น 3.7 ล่าสุด แต่คุณสมบัติบางอย่างไม่สามารถใช้งาน ได้

 

ดาวน์โหลดไฟล์สำหรับอัพเดท Joomla 3.7

การอัพเดทสามารถดาวน์โหลดไฟล์ได้ตามลิงค์ด้านล่าง ส่วนบนสุดจะเป็น Joomla 3.7 เวอร์ชันเต็ม สำหรับผู้ที่จะเริ่มทำเว็บไซต์ใหม่
https://downloads.joomla.org/cms/joomla3/3-7-0

 

 

การอัพเดท ให้ดาวน์โหลดตัวอัพเดทโดยเลื่อนลงไปด้านล่าง Update Existing Joomla! Installations แล้วเลือกรุ่นอัพเดท จาก Joomla 2.5 หรือ 3.x เป็น Joomla 3.7


เมื่อดาวน์โหลดมาแล้วจะได้ไฟล์แบบ Zip ให้แตกไฟล์ซิพ ก็จะได้โฟลเดอร์และไฟล์ต่างๆ ให้ก็อปปี้ไปทับ Joomla ตัวก่อนได้เลย


แต่ใครที่ใช้เทมเพลทมาตรฐานอย่าง Protostar ให้สำรองไฟล์ template.css ในโฟลเดอร์ templates/protostar/css ไว้ก่อนจะ อัพโหลดไฟล์ไปทับ Joomla ตัวเก่า ไม่เช่นนั้นจะต้องเสียเวลาปรับแต่งเทมเพลทอีกรอบ


ตัวอย่างการอัพเดทแบบทำมือ จัดการเอง โดยใช้โปรแกรม FileZilla อัพโหลดโฟลเดอร์และไฟล์สำหรับอัพเดท Joomla 3.7 เข้าไปทับ โฟลเดอร์และไฟล์ของ Joomla ที่เป็นรุ่นเก่า เช่น 3.6.5

 

ปรับแต่งระบบหลังการอัพเดทเป็น Joomla 3.7

หลังจากได้อัพเดทเรียบร้อยแล้ว จะมีสิ่งที่ต้องทำอีกหลายอย่างเช่นการอัพเดทฐานข้อมูล ให้เข้าระบบของ Joomla แล้วไปที่ Extensions>>Manage>>Database แล้วคลิก Fix

 


ติดตั้งโปรแกรมเสริมหรือปลั๊กอินบางตัว โดยไปที่ Extensions>>Manage>>Discover จากนั้นคลิกสี่เหลี่ยมหน้าช่อง Name เลือกทั้งหมด แล้วคลิก Install

 


เปิดใช้งาน Editor TinyMCE รุ่นล่าสุด โดยไปที่ Extensions>>Plugins จากนั้นคลิกเลือกปลั๊กอินชื่อ Editor-TinyMCE


คลิกเลือก Save & Close เป็นอันเสร็จเรียบร้อย คราวนี้ก็ลองทดสอบการใช้งาน Joomla 3.7 หลังจากอัพเกรดเรียบร้อยแล้ว

 

ปัญหาที่เจอหลังจากได้อัพเดทจาก Joomla 3.6 เป็น Joomla 3.7 ซึ่งแต่ละคนอาจจะเจอไม่เหมือนกัน สิ่งที่ผู้เขียนเจอก็คือ เรื่องของ Component: com_fields ก็ต้องหาสาเหตุกันต่อไป ว่ามาจากสาเหตุอะไร

 

ส่วนอีกสาเหตุที่จะเจอในอนาคตก็คือ เซิร์ฟเวอร์ที่รองรับการใช้งานกับ Joomla 3.7 จะต้องใช้ PHP รุ่น 7.x ขึ้นไป ซึ่งเซิร์ฟเวอร์ที่ใช้ นี้ยังเป็นรุ่น 5.6.30 ซึ่งเวอร์ชั่นใหม่ๆ ของ Joomla 3.7 จะรองรับถึงวันที่ 31 ธันวาคม 2561 หรือ 31/12/2018 ก็ต้องเตรียมหา เซิร์เวอร์ที่รองรับให้เสียเงินอีก

 

 


บทความอื่น ที่คุณอาจสนใจ

เคล็ดลับดูแลสุขภาพสมอง สำหรับคนทำงานใช้ความคิด ใช้สมาธิสูง

เคล็ดไม่ลับสำหรับคนทำงานที่ต้องใช้สมองคิด วิเคราะห์ อ่าน ทำความเข้าใจ วางแผน ฯลฯ เช่น นักคิด นักเขียน โปรแกรมเมอร์ นักวางแผน ผู้บริหาร ฯลฯ จำเป็นต้องเรียนรู้ เพื่อจะได้ดูแลตัวเอง ดูแลสุขภาพสมองให้ดียิ่งๆ ขึ้น   อ่านเพิ่มเติม..